Update project name
PATCH
/organization/{orgId}/projects/{projectId}/nameUpdate the name of a specific project
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
projectId*string
Project ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/types.UpdateProjectNameRequest",
"$ref-value": {
"properties": {
"name": {
"type": "string",
"examples": [
"New Project Name"
]
}
},
"required": [
"name"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/projectsv1.Project",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"custom_domain": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"regions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
},
"video_quality": {
"type": "string"
}
},
"type": "object"
}
}curl -X PATCH "https://api.rixl.com/organization/string/projects/string/name" \
-H "Content-Type: application/json" \
-d '{
"name": "New Project Name"
}'OK
application/json
{
"$ref": "#/components/schemas/projectsv1.Project",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"custom_domain": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"regions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
},
"video_quality": {
"type": "string"
}
},
"type": "object"
}
}